Transfers
Create a Transfer
POST
Note – SCA may be triggered by this endpointWhen a user with
UserCategory OWNER initiates a transfer to another OWNER they are required to authenticate the transfer with SCA, unless Mangopay applies a low-amount or low-risk exemption to the transfer (or unless your platform is using a proxy and user consent).To let the user complete the SCA session on the Mangopay-hosted webpage, your platform needs to retrieve the returned PendingUserAction.RedirectUrl, add an encoded returnUrl query parameter, and redirect the user. Read more about how to redirect them in the SCA session guide.In Sandbox, you can bypass SCA by including the word accept in the Email value of the Natural User or the LegalRepresentative.Email value of the Legal User – for example accept@example.com or john.doe+accept@example.com.Body parameters
string
Possible values:
USER_PRESENT, USER_NOT_PRESENTThe SCA context of the request, which is required if the debited wallet owner’s UserCategory is OWNER:USER_PRESENT– The user is taking the SCA-triggering action of initiating a transfer. The platform must redirect the user using thePendingUserAction.RedirectUrlreturned so that the user can complete the SCA session (unless Mangopay applied an exemption for low-amount and low-risk transfers, so no redirection link was returned).USER_NOT_PRESENT– The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, thenUSER_NOT_PRESENTreturns a 403 error.
UserCategory is OWNER, and the default value will become USER_PRESENT from Dec 15, 2025 (Dec 1 in Sandbox)string
required
The unique identifier of the user at the source of the transaction.
object
required
Information about the debited funds.
object
required
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
string
required
The unique identifier of the credited wallet.
string
required
The unique identifier of the debited wallet.
string
Max. length: 255 charactersCustom data that you can add to this object.
Responses
200
200
string
Possible values:
USER_PRESENT, USER_NOT_PRESENTThe SCA context of the request, which is required if the debited wallet owner’s UserCategory is OWNER:USER_PRESENT– The user is taking the SCA-triggering action of initiating a transfer. The platform must redirect the user using thePendingUserAction.RedirectUrlreturned so that the user can complete the SCA session (unless Mangopay applied an exemption for low-amount and low-risk transfers, so no redirection link was returned).USER_NOT_PRESENT– The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, thenUSER_NOT_PRESENTreturns a 403 error.
UserCategory is OWNER, and the default value will become USER_PRESENT from Dec 15, 2025 (Dec 1 in Sandbox)string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
object
Information about the debited funds.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).object
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the debited wallet.
string
The unique identifier of the credited wallet.
object
Object containing the link needed for SCA redirection if triggered by the API call (otherwise returned
null).400 - Currency incompatibility
400 - Currency incompatibility